Package org.opensaml.xmlsec.encryption

# Interface PBKDF2Params

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `PBKDF2ParamsImpl`

public interface PBKDF2Params extends XMLObject
XMLObject representing XML Encryption 1.1 PBKDF2-params element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`IterationCount`
`getIterationCount()`
Get the IterationCount child element.
`KeyLength`
`getKeyLength()`
Get the KeyLength child element.
`PRF`
`getPRF()`
Get the PRF child element.
`Salt`
`getSalt()`
Get the Salt child element.
`void`
`setIterationCount(IterationCount count)`
Set the IterationCount child element.
`void`
`setKeyLength(KeyLength length)`
Set the KeyLength child element.
`void`
`setPRF(PRF prf)`
Set the PRF child element.
`void`
`setSalt(Salt salt)`
Set the Salt child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getSalt

@Nullable Salt getSalt()
Get the Salt child element.

Returns:
  the element

### setSalt

void setSalt(@Nullable Salt salt)
Set the Salt child element.

Parameters:
  `salt` - the salt

### getIterationCount

@Nullable IterationCount getIterationCount()
Get the IterationCount child element.

Returns:
  the element

### setIterationCount

void setIterationCount(@Nullable IterationCount count)
Set the IterationCount child element.

Parameters:
  `count` - the new iteration count

### getKeyLength

@Nullable KeyLength getKeyLength()
Get the KeyLength child element.

Returns:
  the element

### setKeyLength

void setKeyLength(@Nullable KeyLength length)
Set the KeyLength child element.

Parameters:
  `length` - the new key length

### getPRF

@Nullable PRF getPRF()
Get the PRF child element.

Returns:
  the element

### setPRF

void setPRF(@Nullable PRF prf)
Set the PRF child element.

Parameters:
  `prf` - the new PRF element